<?xml version="1.0" encoding="utf-8"?>
<document caption="Формирование данных по требованиям Минфина России" CRC="3481825374" canOpen="true" version="1.0.8" javascriptDocumentClassName="F03500.FDocument">
  <rules>
    <import id="JSHandlebars" sourceFile="Scripts\handlebars-v4.0.5.js" />
    <import id="JSStageSettings" sourceFile="MainLogic\ObasStageSettings.js" />
    <import id="JSTableFieldInfo" sourceFile="MainLogic\TableFieldInfo.js" />
    <import id="JSEvents" sourceFile="MainLogic\Events.js" />
    <import id="JSTableInfo" sourceFile="MainLogic\TableInfo.js" />
    <import id="JSRROTables" sourceFile="MainLogic\RROTables.js" />
    <import id="JSSprTables" sourceFile="MainLogic\SprTables.js" />
    <import id="JSObasTableCollection" sourceFile="MainLogic\ObasTableCollection.js" />
    <import id="JSHelper" sourceFile="MainLogic\ObasHelper.js" />
    <import id="JSFormatCollection" sourceFile="MainLogic\SheetFormatCollection.js" />
    <import id="JSCommon" sourceFile="MainLogic\CommonRules.js" />
    <import id="JSSettings" sourceFile="MainLogic\DocumentSettings.js" />
    <import id="JSBaseDocument" sourceFile="MainLogic\BaseDocumentObject.js" />
    <import id="JSObasTableWithKeys" sourceFile="MainLogic\ObasTableWithKeys.js" />
    <import id="JSAnalyticsKosguInterface" sourceFile="MainLogic\FAnalyticsKosgu\FAnalyticsKosguSheet.js" />
    <import id="JSAnalyticsKosguTable" sourceFile="MainLogic\FAnalyticsKosgu\FAnalyticsKosguTable.js" />
    <import id="JSUpdate" sourceFile="Templates\Logic\Current\F03_500\F03_500_UpdateRules.js" />
    <import id="JSInterface" sourceFile="Templates\Logic\Current\F03_500\F03_500_InterfaceRules.js" />
    <import id="JSTable" sourceFile="Templates\Logic\Current\F03_500\F03_500_TableRules.js" />
    <import id="JSExport" sourceFile="Templates\Logic\Current\F03_500\F03_500_ExportRules.js" />
    <import id="JSDocument" sourceFile="Templates\Logic\Current\F03_500\F03_500_Document.js" />
  </rules>
  <tables>
    <!-- Справочники из файла Spr_Main.xml-->
    <linkedtable id="FOIV" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="FCR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="CSR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="Program" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="SubProgram" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="DirectionCost" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="VR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="MainAction" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="OBAS_SPR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="NPAType" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="NPAStatuses" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="KOSGU" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="NPARegSpheres" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="RRO_OBAS_VERSIONS" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_DATA" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_Recvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_SC" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_Numbers" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="SecurityTypes" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="ChangeType" sourceFile="MainData\Spr_Ped.xml" />
    <linkedtable id="RRO_KU_Data" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="FileType" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="BuildParams" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_Expend_Shedule" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OfficeChiefRecvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_FinanceChiefRecvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_ExecutorRecvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="SELECTED_FOIV" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="tRRO_OBAS_VERSIONS" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="VR_COSGUs" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="Files" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="dual" sourceFile="MainData\Spr_Main.xml" />
    <table id="MainParameters" readonly="true" caption="Основные параметры" canAdd="false" canClear="false" canDelete="false">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="FOIV_ID" table="FOIV" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="FCR_ID" table="FCR" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="VR_ID" table="VR" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="CSR_ID" table="CSR" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="MainAction_ID" table="MainAction" tableKeyField="Key" tableFields="Code;Name" />
        <lookupfield name="FCR_NAME" keys="FCR_ID" lookupTable="FCR" lookupKeys="Key" lookupFields="Name" />
        <sourcefield name="RRO_OBAS_VERSIONS_ID" table="RRO_OBAS_VERSIONS" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="FileType_ID" table="FileType" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="Program_ID" table="Program" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="SubProgram_ID" table="SubProgram" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="DirectionCost_ID" table="DirectionCost" tableKeyField="Key" tableFields="Key" />
      </fields>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
        </row>
      </data>
    </table>
    <table id="FormParameters" caption="Параметры формы" readonly="true">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <field name="FormSecretType" datatype="integer" caption="Признак гостайны" />
        <field name="TableNameWithTotals" datatype="string" size="50" />
        <field name="TableWithKOSGU" datatype="string" size="50" />
        <field name="AnalyticsTable" datatype="string" size="50" />
        <field name="AnalyticsStartF" datatype="integer" caption="Начальный индекс обработки полей" />
        <field name="AnalyticsEndF" datatype="integer" caption="Конечный идекс обработки полей" />
      </fields>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[FIpoteka_r1_Values]]></el>
          <el><![CDATA[KOSGU_Data]]></el>
        </row>
      </data>
    </table>
    <table id="FIpoteka_r1_Rows" readonly="true" canClear="false">
      <fields>
        <field name="Key" datatype="integer" />
        <field name="Id" datatype="guid" />
        <field name="Name" datatype="string" size="1000" />
        <field name="Category" datatype="string" size="1000" />
      </fields>
      <data>
        <row>
          <el><![CDATA[2]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[Расходы на финансовое обеспечение функционирования
накопительно-ипотечной системы военнослужащих]]></el>
          <el><![CDATA[Военнослужащие - участники накопительно-ипотечной системы жилищного обеспечения военнослужащих]]></el>
        </row>
        <row>
          <el><![CDATA[1]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[Всего]]></el>
          <el><![CDATA[]]></el>
        </row>
      </data>
    </table>
    <table id="FIpoteka_r1_Values" canClear="false" canAdd="false" canDelete="false">
      <fields>
        <field name="Key" datatype="integer" />
        <field name="Id" datatype="guid" />
        <field name="StrKey" datatype="integer" syncKey="true" />
        <field name="IsTotal" datatype="integer" syncKey="true" />
        <field name="Y1" datatype="float" size="20" precision="2">
          <rules>
            <rule name="%Doc%.P1TotalTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y2" datatype="float" size="20" precision="2">
          <rules>
            <rule name="%Doc%.P1TotalTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y3" datatype="float" size="20" precision="2">
          <rules>
            <rule name="%Doc%.P1TotalTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y4" datatype="float" size="20" precision="2">
          <rules>
            <rule name="%Doc%.P1TotalTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
      </fields>
      <rules>
        <rule name="%Doc%.CommonRules.SaveTotalTable" event="OnSave" />
      </rules>
      <data>
        <row>
          <el><![CDATA[1]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
        </row>
      </data>
    </table>
    <!--Раздел 1.1. Аналитический раздел-->
    <table id="AnalyticsData">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="KOSGU_Id" table="KOSGU" tableKeyField="Key" tableFields="Code;Name" isNull="false" syncKey="true">
          <rules>
            <rule name="%Doc%.AnalyticsDataTable.KosguChangeEventHandler" event="OnChange" />
          </rules>
        </sourcefield>
        <field name="AnalyticCode" datatype="string" size="10" />
        <field name="AnalyticName" datatype="string" size="500" />
        <field name="Y1" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y2" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y3" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y4" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
      </fields>
      <rules>
        <rule name="%Doc%.AnalyticsDataTable.DeleteEventHandler" event="OnDelete"/>
      </rules>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[-]]></el>
          <el><![CDATA[Расходы, всего]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
        </row>
      </data>
    </table>
    <table id="FIpoteka_r2_Rows" readonly="true" canClear="false">
      <fields>
        <field name="Key" datatype="integer" />
        <field name="Id" datatype="guid" />
        <field name="Name" datatype="string" size="1000" />
        <field name="StrCode" datatype="string" size="3" />
        <field name="BarsCode" datatype="string" size="3" />
      </fields>
      <data>
        <row>
          <el><![CDATA[1]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[Предоставление накопительных взносов участникам накопительно-ипотечной системы в рамках жилищного обеспечения военнослужащих]]></el>
          <el><![CDATA[01]]></el>
          <el><![CDATA[01]]></el>
        </row>
        <row>
          <el><![CDATA[2]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[Предоставление накопительных взносов участникам накопительно-ипотечной системы за период времени документального оформления их прав]]></el>
          <el><![CDATA[02]]></el>
          <el><![CDATA[02]]></el>
        </row>
        <row>
          <el><![CDATA[3]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[Учет накоплений на счетах участников накопительно-ипотечной системы, исключенных из реестра участников, без права использования накоплений]]></el>
          <el><![CDATA[03]]></el>
          <el><![CDATA[03]]></el>
        </row>
        <row>
          <el><![CDATA[4]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[Предоставление участникам накопительно-ипотечной системы средств, дополняющих накопления, для выплаты в установленных законодательством случаях]]></el>
          <el><![CDATA[04]]></el>
          <el><![CDATA[04]]></el>
        </row>
      </data>
    </table>
    <table id="FIpoteka_r2_Values" canClear="false" canDelete="false">
      <fields>
        <field name="Key" datatype="integer" />
        <field name="Id" datatype="guid" />
        <sourcefield name="StrKey" uniqueLabel="1" table="FIpoteka_r2_Rows" tableKeyField="Key" tableFields="Key">
          <rules>
            <rule name="%Doc%.P2DataTable.OwnerKey.InitEventHandler" event="OnInit" />
          </rules>
        </sourcefield>
        <field name="Year" datatype="integer" uniqueLabel="1">
          <rules>
            <rule name="%Doc%.CommonRules.YearInitEventHandler" event="OnInit" />
          </rules>
        </field>
        <field name="g3" datatype="integer">
          <rules>
            <rule name="%Doc%.P2DataTable.ObasPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="g4" datatype="float" precision="5">
          <rules>
            <rule name="%Doc%.P2DataTable.ObasPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="g5" datatype="integer">
          <rules>
            <rule name="%Doc%.P2DataTable.ObasPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="g6" datatype="float" precision="5">
          <rules>
            <rule name="%Doc%.P2DataTable.ObasPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="g7" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2DataTable.ObasPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="g8" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2DataTable.ObasChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="IsCopied" datatype="boolean">
          <rules>
            <rule name="ObasHelper.GetFalse" event="OnInit" />
          </rules>
        </field>
      </fields>
      <rules>
        <rule name="%Doc%.P2DataTable.EditEventHandler" event="OnEdit" />
      </rules>
    </table>
    <!--раздел 3-->
    <table id="F03_500_3" canAdd="true" canDelete="true">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="NPAType_ID" caption="Вид" isNull="false" table="NPAType" tableKeyField="Key" tableFields="Name" />
        <field name="NpaDate" datatype="datetime" isNull="false" />
        <field name="NpaNumber" datatype="string" size="50" isNull="false" />
        <field name="NpaName" datatype="string" size="2000" isNull="false" />
        <sourcefield name="NPAStatuses_ID" isNull="false" caption="статус" table="NPAStatuses" tableKeyField="Key" tableFields="Name" />
        <field name="NpaChangeDate" datatype="datetime" caption="предполагаемая дата изменения статуса" isNull="false" />
      </fields>
    </table>
    <table id="KOSGU_Data">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="KOSGU_Id" table="KOSGU" tableKeyField="Key" tableFields="Key" syncKey="true" />
        <field name="SrcKey" datatype="integer" isDeltaValue="false" />
        <field name="Y1" datatype="float" precision="2" />
        <field name="Y2" datatype="float" precision="2" />
        <field name="Y3" datatype="float" precision="2" />
        <field name="Y4" datatype="float" precision="2" />
      </fields>
      <rules>
        <rule name="%Doc%.CommonRules.SaveKosguTable" event="OnSave" />
      </rules>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[27561076]]></el>
          <el><![CDATA[1]]></el>
        </row>
      </data>
    </table>
  </tables>
  <sheets>
    <gridsheet title="Раздел 1" name="SHT_R1" caption="1. Расчет на финансовое обеспечение накопительно-ипотечной системы жилищного обеспечения военнослужащих" isShowColumnNumbers="true">
      <view table="FIpoteka_r1_Rows" readonly="true">
        <col name="Name" caption="Наименование показателя" width="350" align="left" />
        <view table="FIpoteka_r1_Values" masterKeys="StrKey" detailKeys="Key" readonly="false" caption="Сумма">
          <template>
            <col width="150" name="Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" />
            <rules>
              <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange" />
              <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption" />
            </rules>
          </template>
        </view>
      </view>
      <rules>
        <rule name="%Doc%.P1Sheet.FormatEventHandler" event="OnGetFormat" />
        <rule name="%Doc%.P1Sheet.EditingCellEventHandler" event="OnEditingCell" />
      </rules>
    </gridsheet>
    <gridsheet name="SHT_RA" isShowColumnNumbers="true" title="Раздел 1.1" caption="1.1. Аналитическое распределение по КОСГУ">
      <view table="AnalyticsData">
        <col name="AnalyticName" width="400" readonly="true" caption="Наименование показателя" />
        <col name="AnalyticCode" width="100" readonly="true" caption="Код по КОСГУ" align="center" />
        <view caption="Сумма, руб">
          <template>
            <col width="150" name="Y{fieldName}" caption="на {caption} год" displayFormat=",0.00" align="right" />
            <rules>
              <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
              <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
            </rules>
          </template>
        </view>
        <editors>
          <editor id="AnalyticDataEditor" canAdd="true" />
        </editors>
      </view>
      <rules>
        <rule name="%Doc%.AnalyticSheet.FormatEventHandler" event="OnGetFormat" />
        <rule name="%Doc%.AnalyticSheet.CanEditCellEventHandler" event="OnEditingCell" />
        <rule name="%Doc%.AnalyticSheet.CantEditEventHandler" event="OnCanDelete" />
        <rule name="%Doc%.AnalyticSheet.CantEditEventHandler" event="OnCanEdit" />
      </rules>
    </gridsheet>
    <groupsheet name="SHT_R2" caption="Раздел 2" />
    <gridsheet title="Раздел 2.#Year" groupSheet="SHT_R2" name="SHT_R2_Y1" caption="2. Расчет на финансовое обеспечение накопительно-ипотечной системы жилищного обеспечения военнослужащих&#xD;&#xA;2.#Index Расчет на #Year год" isShowColumnNumbers="true">
      <view table="FIpoteka_r2_Rows" readonly="true">
        <col name="Name" caption="Наименование публичного обязательства Российской Федерации" width="250" align="left" />
        <col name="StrCode" caption="Код строки" width="50" align="center" />
        <view table="FIpoteka_r2_Values" readonly="true">
          <col name="g3" width="150" align="right" caption="Численность получателей публичного обязательства Российской Федерации, чел" readonly="false" />
          <col name="g4" width="120" align="right" caption="Размер выплаты, руб / чел в год" displayFormat=",0.00000" readonly="false" />
          <col name="g5" width="130" align="right" caption="Количество месяцев за период оформления документов, ед" readonly="false" />
          <col name="g6" width="200" align="right" caption="Количество неполных лет, которые участник накопительно-ипотечной системы не дослужил до 20 лет, ед" displayFormat=",0.00000" readonly="false" />
          <col name="g7" width="120" align="right" caption="Сумма возврата на одного человека, руб" displayFormat=",0.00" readonly="false" />
          <col name="g8" width="130" align="right" caption="Сумма, руб" displayFormat=",0.00" />
          <rules>
            <rule name="%Doc%.CommonRules.ViewYearLoadEventHandler" event="OnLoad" />
          </rules>
        </view>
      </view>
      <view table="dual" readonly="true" />
      <rules>
        <rule name="%Doc%.P2GroupSheet.FormatEventHandler" event="OnGetFormat" />
        <rule name="%Doc%.P2GroupSheet.CalcEventHandler" event="OnCalc" />
        <rule name="%Doc%.CommonRules.ActivateSheetEventHandler" event="OnActivateSheet" />
        <rule name="%Doc%.CommonRules.GetSheetYearText" event="OnCreateTitle" />
        <rule name="%Doc%.CommonRules.GetSheetYearText" event="OnCreateCaption" />
        <rule name="%Doc%.CommonRules.CantEditPrevCurYearsEditingCellEventHandler" event="OnCanDelete" />
        <rule name="%Doc%.CommonRules.CantAddPrevCurYearsEditingCellEventHandler" event="OnCanAdd" />
        <rule name="%Doc%.CommonRules.CantEditPrevCurYearsEditingCellEventHandler" event="OnCanEdit" />
        <rule name="%Doc%.CommonRules.CantEditPrevCurYearsEditingCellEventHandler" event="OnEditingCell" />
      </rules>
    </gridsheet>
    <generatedsheet name="SHT_R2_Y2" templateSheetName="SHT_R2_Y1" />
    <generatedsheet name="SHT_R2_Y3" templateSheetName="SHT_R2_Y1" />
    <!--Раздел 3-->
    <gridsheet name="SHT_F03_500_R3" title="Раздел 3" caption="3. Сведения о нормативных правовых (правовых) актах, устанавливающих размер выплаты и (или) порядок расчета выплат" isShowColumnNumbers="true" groupSheet="R3_Group">
      <view table="F03_500_3" canAdd="true" readonly="false">
        <view caption="Нормативный правовой (правовой) акт">
          <col width="250" caption="вид" name="NPAType_ID" align="left" readonly="true" />
          <col width="75" caption="дата" name="NpaDate" align="center" readonly="true" />
          <col width="75" caption="номер" name="NpaNumber" align="center" readonly="true" />
          <col width="350" caption="наименование" name="NpaName" align="left" readonly="true" />
          <col width="200" caption="статус" name="NPAStatuses_ID" align="left" readonly="true" />
          <col width="120" caption="предполагаемая дата изменения статуса" name="NpaChangeDate" align="center" readonly="true" />
        </view>
        <editors>
          <editor id="F03_500_3Editor" canAdd="true" />
        </editors>
      </view>
      <rules>
        <rule name="%Doc%.InterfaceRules.NpaSheetFormatEventHandler" event="OnGetFormat" />
      </rules>
    </gridsheet>
    <rules>
      <rule name="%Doc%.CommonRules.GetExcelFileName" event="OnGetExportFileName" />
      <rule name="%Doc%.CommonRules.GetExcelTemplateFileName" event="OnGetTemplateFileName" />
      <rule name="%Doc%.CommonRules.CheckChangeType" event="OnBeforeDocumentSave" />
      <rule name="%Doc%.CommonRules.KosguDocumentSaveEventHandler" event="OnDocumentSave" />
      <rule name="%Doc%.CommonRules.GetExportDirectory" event="OnGetDefaultExportDirectory" />
      <rule name="%Doc%.UpdateRules.UpdateTemplate" event="OnUpdateTemplate" />
    </rules>
  </sheets>
  <editors>
    <editor id="F03_500_3Editor" caption="Нормативный правовой (правовой) акт" height="290">
      <fieldssheet name="VREditor1" table="F03_500_3">
        <field name="NPAType_ID" caption="Вид" />
        <field name="NpaDate" caption="Дата" width="150" />
        <field name="NpaNumber" caption="Номер" />
        <field name="NpaName" caption="Наименование" />
        <field name="NPAStatuses_ID" width="330" caption="Статус" filterRule="%Doc%.InterfaceRules.FilterNPAStatuses" />
        <field name="NpaChangeDate" caption="Предполагаемая дата изменения статуса" />
      </fieldssheet>
    </editor>
    <editor id="AnalyticDataEditor" caption="КОСГУ">
      <fieldssheet name="AnalyticDataEditor_1" table="AnalyticsData">
        <field name="KOSGU_ID" caption="Код по КОСГУ:" filterRule="%Doc%.CommonRules.FilterKosgu" />
      </fieldssheet>
      <rules>
       <rule name="%Doc%.AnalyticSheet.AnalyticsDataCanCloseEventHandler" event="OnCanClose"/>
      </rules>
    </editor>
  </editors>
  <menu>
    <menu caption="Сервис">
      <menu caption="Выполнить пересчет данных">
        <rules>
          <rule name="%Doc%.InterfaceRules.RecalcDataMenuItemClickEventHandler" event="OnClick" />
        </rules>
      </menu>
    </menu>
    <menu caption="Разработчик">
      <menu caption="Выполнить сдвиг данных">
        <rules>
          <rule name="%Doc%.InterfaceRules.ShiftDataMenuItemClickEventHandler" event="OnClick" />
        </rules>
      </menu>
      <menu caption="Выполнить копирование данных">
        <rules>
          <rule name="%Doc%.InterfaceRules.CopyDataMenuItemClickEventHandler" event="OnClick" />
        </rules>
      </menu>
    </menu>
  </menu>
  <files />
</document>